/**

 @Name：layuiAdmin iframe版主入口
 @Author：贤心
 @Site：http://www.layui.com/admin/
 @License：LPPL
    
 */

layui.extend({
    setter: 'config' //配置模块
    ,
    admin: 'lib/admin' //核心模块
    ,
    view: 'lib/view' //视图渲染模块
}).define(['setter', 'admin', 'table'], function (exports) {
    var setter = layui.setter,
        element = layui.element,
        admin = layui.admin,
        tabsPage = admin.tabsPage,
        view = layui.view
        //打开标签页
        , APP_BODY = '#LAY_app_body', FILTER_TAB_TBAS = 'layadmin-layout-tabs', $ = layui.$, $win = $(window);

    //初始
    if (admin.screen() < 2) admin.sideFlexible();

    //将模块根路径设置为 controller 目录
    layui.config({
        base: '../../res/js/'
    });

    //扩展 lib 目录下的其它模块
    /*  layui.each(setter.extend, function(index, item){
        alert(item)
        var mods = {};
        mods[item] = '{/}' +  'lib/extend/' + item;
        layui.extend(mods);
      });*/

    view().autoRender();

    layui.table.set({ contentType: 'application/json', page: {}, loading: true })
    // page: {theme: '#1E9FFF'},

    //加载公共模块
    // layui.use('common');

    //对外输出
    exports('index', {
    });
});